Subject: bug#9663: 23.2; feature wish: put priority on vcursor overlay

From: Hendrik Tews <[email-masked]>
Date: Wed, 2 Nov 2011 08:37:57 +0100

> As I wrote in the feature wish: the locked region in Proof
   > General (proof-locked-span). It has priority 100, see the call to
   > span-raise inside proof-init-segmentation in
   > generic/proof-script.el.
   
   I'm not sure why ProofGeneral messes with priorities, tho.  Nor why it
   chooses 100 as the "default raised priority", nor "raised with respect
   to what".
   The way I see it, overlay priorities are very little used and are fairly
   problematic, so I'd rather recommend not to use them.
   
I don't know either.

Nevertheless, priorities on overlays are a standard emacs
feature. Therefore, there should be a way to adjust the priority
of the vcursor without having to use advice in an inefficient
way.

Bye,

Hendrik